using System.Collections.Generic;
using System.Linq;
using Styx;
using Styx.WoWInternals;
using Styx.WoWInternals.WoWObjects;

namespace BerryUser
{
    public static class Item
    {
        private static void UseItemId(uint id)
        {
            foreach (WoWItem item in StyxWoW.Me.BagItems.Where(item => item.Entry == id).Where(CanUseItem))
            {
                UseItem(item);
                return;
            }
        }

        private static bool CanUseItem(WoWItem item)
        {
            return item.Usable && item.Cooldown <= 0;
        }

        private static void UseItem(WoWItem item)
        {
            
            if (CanUseItem(item))
            {
                item.Use();

            }
        }

        public static void begin()
        {
            CreateUseBerryBehavior();
        }


        private static void CreateUseBerryBehavior()
        {
            UseItemId(81054);				// Kafa kota berry from WowHead ID
        }

        
    }
}